{
	"parent":"minecraft:husbandry/obtain_sniffer_egg",
	"display":{
		"icon":{
			"item":"minecraft:torchflower_seeds"
		},
		"title":{
			"translate":"advancements.husbandry.feed_snifflet.title"
		},
		"description":{
			"translate":"advancements.husbandry.feed_snifflet.description"
		},
		"frame":"task",
		"show_toast":true,
		"announce_to_chat":true,
		"hidden":true
	},
	"criteria":{
		"feed_snifflet":{
			"trigger":"minecraft:player_interacted_with_entity",
			"conditions":{
				"item":{
					"tag":"minecraft:sniffer_food"
				},
				"entity":[{
					"condition":"minecraft:entity_properties",
					"predicate":{
						"type":"minecraft:sniffer",
						"flags":{
							"is_baby":true
						}
					},
					"entity":"this"
				}]
			}
		}
	},
	"requirements":[
		[
			"feed_snifflet"
		]
	],
	"sends_telemetry_event":true
}